Loading...
Searching...
No Matches
Split.hpp File Reference
`#include <string>`
`#include <tuple>`
`#include <utility>`
`#include <vector>`
`#include "Macros.hpp"`
`#include "impl/Split_inl.hpp"`

Go to the source code of this file.

## Namespaces

namespace | CLI
namespace | CLI::detail

## Functions

CLI11_INLINE bool | CLI::detail::split_short (const std::string &current, std::string &name, std::string &rest)
CLI11_INLINE bool | CLI::detail::split_long (const std::string &current, std::string &name, std::string &value)
CLI11_INLINE bool | CLI::detail::split_windows_style (const std::string &current, std::string &name, std::string &value)
CLI11_INLINE std::vector< std::string > | CLI::detail::split_names (std::string current)
CLI11_INLINE std::vector< std::pair< std::string, std::string > > | CLI::detail::get_default_flag_values (const std::string &str)
| extract default flag values either {def} or starting with a !
CLI11_INLINE std::tuple< std::vector< std::string >, std::vector< std::string >, std::string > | CLI::detail::get_names (const std::vector< std::string > &input, bool allow_non_standard=false)
| Get a vector of short names, one of long names, and a single name.